Main Page | Class List | File List | Class Members | File Members

# autolink.cpp File Reference

## Defines
#define | ABS(x) (((x)>0)?(x):-(x))
## Typedefs
typedef Test | B
## Enumerations
enum | GlobEnum { GVal1, GVal2 }
## Variables
int | globVar

## Detailed Description

Testing automatic link generation.

A link to a member of the Test class: Test::member,

More specific links to the each of the overloaded members: Test::member(int) and Test::member(int,int)

A link to a protected member variable of Test: Test::var,

A link to the global enumeration type GlobEnum.

A link to the define ABS(x).

A link to the destructor of the Test class: Test::~Test,

A link to the typedef B.

A link to the enumeration type Test::EType

A link to some enumeration values Test::Val1 and GVal2

## Define Documentation

#define ABS | ( | x |  | ) | (((x)>0)?(x):-(x))

| A macro definition.

## Typedef Documentation

typedef Test B

| A type definition.

## Enumeration Type Documentation

enum GlobEnum

  | A global enum. Enumeration values:
  GVal1 | global enum value 1
  GVal2 | global enum value 2

## Variable Documentation

int globVar

| A global variable.